## skyfield 1.43.1+ds

=== requirements.txt ===
astropy==3.2.2
beautifulsoup4==4.6.0
html5lib==1.0.1
lxml==4.6.5
mock==2.0.0
numpy==1.15.4
matplotlib==3.3.0
pandas==1.0.0
pyflakes==2.1.1
python-dateutil>=2.5.0
pytz
sphinx==1.7.2
spktype21
https://github.com/brandon-rhodes/assay/archive/master.zip

=== debian/changelog ===
skyfield (1.43.1+ds-3) unstable; urgency=medium

  * debian/patches:
    - new 0003-Fix-unittests-on-32bit-ARM.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Aug 2022 17:12:02 +0000

skyfield (1.43.1+ds-2) unstable; urgency=medium

  * Add the missing test dependency on python3-skyfield.
  * Source only upload.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Aug 2022 06:42:11 +0000

skyfield (1.43.1+ds-1) unstable; urgency=low

  * Initial release (Closes: #911646).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 18 Aug 2022 16:29:22 +0000

## skyfield 1.45%2Bds

=== debian/rules ===
#! /usr/bin/make -f

# Skip tests that make access to the internet
export PYBUILD_TEST_ARGS=-k "\
not test_ecliptic_frame \
and not test_ecliptic_for_epoch_of_date \
and not test_ecliptic_for_epoch_of_date_array \
and not test_fk4_frame and not test_galactic_frame \
and not test_from_altaz_ \
and not test_position_and_velocity \
and not test_mercury_geocentric_date \
and not test_venus_geocentric_date \
and not test_mars_geocentric_date \
and not test_jupiter_barycenter_geocentric_date \
and not test_saturn_barycenter_geocentric_date \
and not test_uranus_barycenter_geocentric_date \
and not test_neptune_barycenter_geocentric_date \
and not test_pluto_barycenter_geocentric_date \
and not test_sun_geocentric_date \
and not test_moon_geocentric_date \
and not test_polaris_geocentric_date \
and not test_mercury_topocentric_date \
and not test_venus_topocentric_date \
and not test_mars_topocentric_date \
and not test_jupiter_barycenter_topocentric_date \
and not test_saturn_barycenter_topocentric_date \
and not test_uranus_barycenter_topocentric_date \
and not test_neptune_barycenter_topocentric_date \
and not test_pluto_barycenter_topocentric_date \
and not test_sun_topocentric_date \
and not test_moon_topocentric_date \
and not test_hipparcos_conversion \
and not test_almanac \
and not test_almanac_east_asia \
and not test_sending_jd_that_is_not_a_julian_date \
and not test_apparent_position_class \
and not test_astrometric_position_class \
and not test_ephemeris_contains_method \
and not test_exception_raised_for_dates_outside_ephemeris \
and not test_planet_position_class \
and not test_star_position_class \
and not test_star_vector_from_earth \
and not test_star_vector_from_topos \
and not test_hadec_needs_a_longitude \
and not test_altaz_needs_topos \
and not test_github_500_does_zero_position_trigger_numpy_warnings \
and not test_earth_deflection \
and not test_is_sunlit \
and not test_is_venus_behind_earth \
and not test_eclipselib \
and not test_radec_and_altaz_angles_and_rates \
and not test_close_of_ephemeris \
and not test_minor_planet \
and not test_comet \
and not test_comet_with_eccentricity_of_exactly_one \
and not test_magnitudes \
and not test_planetarylib \
and not test_hadec \
and not test_cirs_era \
and not test_cirs_meridian \
and not test_cirs_sofa \
and not test_phase_angle_and_fraction_illuminated \
and not test_stars.py \
and not test_jpl_segment \
and not test_jpl_vector_sum \
and not test_geographic_position_and_earth_satellite_vector_sum \
and not test_topos_and_earth_satellite_vector_sum \
and not test_strftime_with_microseconds \
and not test_polar_motion_table \
and not test_vectors \
and not test_concurrent_downloads \
and not test_callisto_geometry \
and not test_callisto_astrometric \
and not test_boston_geometry \
and not test_moon_from_boston_geometry \
and not test_moon_from_boston_astrometric \
and not test_position_angle_from_boston \
and not test_repr \
and not test_single_time \
and not test_multiple_times \
and not test_equatorial_km_d \
and not test_equatorial_km_s \
and not test_equatorial_au_d \
and not test_ecliptic_km_d \
and not test_ecliptic_km_s \
and not test_ecliptic_au_d \
and not test_extreme_ellipse \
and not test_slightly_hyperbolic \
and not test_periapsis_time \
and not test_gm_calculation"

export PYBUILD_NAME=skyfield
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/{install_dir}/skyfield/documentation

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=. python3 -m sphinx -N -bhtml skyfield/documentation .pybuild/docs/html
else
        mkdir -p .pybuild/docs/html
endif

override_dh_compress:
	dh_compress -X.ttf

## skyfield 1.45+ds

=== debian/changelog ===
skyfield (1.45+ds-2) unstable; urgency=medium

  * debian/patches:
    - new 0004-Fix-test_reverse_terra_with_zero_iterations.patch.
      Back-port from upstream.
    - new 0005-Relax-tolerance.patch (Closes: #1026701).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 21 Dec 2022 08:55:35 +0000

skyfield (1.45+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Sep 2022 15:55:01 +0000

=== debian/control ===
Source: skyfield
Section: python
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               fonts-dosis,
               python3-all,
               python3-astropy,
               python3-certifi,
               python3-dateutil,
               python3-ipython,
               python3-jplephem,
               python3-lxml,
               python3-matplotlib,
               python3-mock,
               python3-numpy,
               python3-pandas,
               python3-pkg-resources,
               python3-pytest,
               python3-sgp4,
               python3-setuptools,
               python3-sphinx,
               python3-sympy,
               python3-tz
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/skyfield
Vcs-Git: https://salsa.debian.org/debian-astro-team/skyfield.git
Homepage: https://github.com/brandon-rhodes/python-skyfield

Package: python3-skyfield
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         fonts-dosis,
         python3-certifi,
         python3-jplephem,
         python3-numpy,
         python3-pkg-resources,
         python3-sgp4,
         python3-tz
Recommends: python3-astropy,
            python3-ipython,
            python3-matplotlib,
            python3-pandas
Suggests: python3-sympy
Description: Elegant astronomy for Python
 Skyfield is a pure-Python astronomy package that is compatible with
 both Python 3 and makes it easy to generate high precision
 research-grade positions for planets and Earth satellites.
 .
 Skyfield computes positions for the stars, planets, and satellites in
 orbit around the Earth. Its results should agree with the positions
 generated by the United States Naval Observatory and their
 Astronomical Almanac to within 0.0005 arcseconds (which equals half a
 “mas” or milliarcsecond).

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/skyfielders/python-skyfield/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## skyfield 1.46+ds

=== debian/changelog ===
skyfield (1.46+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Standards version bumped to 4.6.2, no changes.
  * debian/patches:
    - drop 0003-Fix-unittests-on-32bit-ARM.patch,
      0004-Fix-test_reverse_terra_with_zero_iterations.patch,
      0005-Relax-tolerance.patch (applied upstream)
    - refresh remaining patches
    - new 0003-Do-not-use-the-deprecated-distutils.patch
  * Skip tests requiring internet access.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 09:43:59 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                python3-sphinx,
                python3-sympy,
                python3-tz
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/skyfield
 Vcs-Git: https://salsa.debian.org/debian-astro-team/skyfield.git
 Homepage: https://github.com/brandon-rhodes/python-skyfield

=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,8 @@
 and not test_extreme_ellipse \
 and not test_slightly_hyperbolic \
 and not test_periapsis_time \
-and not test_gm_calculation"
+and not test_gm_calculation \
+and not test_astrometric_position_does_not_allow_altaz"
 
 export PYBUILD_NAME=skyfield
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/{install_dir}/skyfield/documentation

## skyfield 1.47+ds

=== debian/changelog ===
skyfield (1.47+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/copyright:
    - Update copyright dates.
  * debian/rules:
    - Skip tests that require external data.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jan 2024 09:06:02 +0000

skyfield (1.46+ds-4) unstable; urgency=medium

  * debian/patches:
    - New 0004-Fix-compatibility-with-new-tzdata.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 15:30:02 +0000

skyfield (1.46+ds-3) unstable; urgency=medium

  * Switch to autopkgtest-pkg-pybuild and remove the
    no longer needed d/tests folder.
  * debian/control:
    - Use <!nocheck> and <!nodoc> markers.
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Sep 2023 11:36:15 +0000

skyfield (1.46+ds-2) unstable; urgency=medium

  * debian/rules:
    - skip tests that are broken by the recent changes
      in python3-tz. No impact on the package functionalities.
      Closes: #1052781.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Sep 2023 10:59:51 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #! /usr/bin/make -f
 
+export PYBUILD_NAME=skyfield
+export PYBUILD_AFTER_INSTALL=$(RM) -r {destdir}/{install_dir}/skyfield/documentation
+
+
 # Skip tests that make access to the internet
-export PYBUILD_TEST_ARGS=-k "\
-not test_ecliptic_frame \
+export PYBUILD_TEST_ARGS=\
+-k "not test_ecliptic_frame \
 and not test_ecliptic_for_epoch_of_date \
 and not test_ecliptic_for_epoch_of_date_array \
 and not test_fk4_frame and not test_galactic_frame \
@@ -88,13 +92,12 @@
 and not test_slightly_hyperbolic \
 and not test_periapsis_time \
 and not test_gm_calculation \
-and not test_astrometric_position_does_not_allow_altaz"
-
-export PYBUILD_NAME=skyfield
-export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/{install_dir}/skyfield/documentation
+and not test_astrometric_position_does_not_allow_altaz \
+and not test_dataframe" \
+--pyargs ${PYBUILD_NAME}
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## skyfield 1.48+ds

=== debian/changelog ===
skyfield (1.48+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Skip tests requiring access to the internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Feb 2024 08:49:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                fonts-dosis,
                python3-all,
                python3-astropy,
@@ -16,14 +18,14 @@
                python3-jplephem,
                python3-lxml,
                python3-matplotlib,
-               python3-mock,
+               python3-mock <!nocheck>,
                python3-numpy,
                python3-pandas,
                python3-pkg-resources,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-sgp4,
                python3-setuptools,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
                python3-sympy,
                python3-tz
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -93,7 +93,8 @@
 and not test_periapsis_time \
 and not test_gm_calculation \
 and not test_astrometric_position_does_not_allow_altaz \
-and not test_dataframe" \
+and not test_dataframe \
+and not test_observe_and_apparent_survive_an_empty_time_array" \
 --pyargs ${PYBUILD_NAME}
 
 %:

## skyfield 1.49+ds

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 astropy==3.2.2
 beautifulsoup4==4.6.0
 html5lib==1.0.1
-lxml==4.6.5
+lxml==4.9.1
 mock==2.0.0
 numpy==1.15.4
 matplotlib==3.3.0

=== documentation/Makefile ===
# Makefile for Sphinx documentation
#

SHELL := /bin/bash

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

default: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	cd $(BUILDDIR)/html/_static && rm -f \
		ajax-loader.gif \
		comment-bright.png \
		comment-close.png \
		comment.png \
		doctools.js \
		down-pressed.png \
		down.png \
		file.png \
		jquery.js \
		minus.png \
		plus.png \
		pygments.css \
		searchtools.js \
		sidebar.js \
		underscore-1.3.1.js \
		underscore.js \
		up-pressed.png \
		up.png \
		websupport.js \
		../searchindex.js
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

force:
	$(SPHINXBUILD) -E -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Skyfield.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Skyfield.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Skyfield"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Skyfield"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest -qW $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

sync: html
	rm -rf _build/html/_sources
	rm -f \
		_build/html/_static/basic.css \
		_build/html/_static/classic.css \
		_build/html/_static/default.css \
		_build/html/_static/documentation_options.js \
		_build/html/_static/jquery-3.2.1.js
	rsync -r _build/html/ ~/rhodesmill.org/skyfield
	,push



# Runs web server outside _build, for when I need to "rm -r" clean-slate it:
serve:
	python -m webbrowser -t http://localhost:8123/_build/html && \
	python -m SimpleHTTPServer 8123 || python -m http.server 8123

loop:
	make html
	while inotifywait -e CLOSE_WRITE -e DELETE_SELF *.rst ../*.py ../../*.rst; \
	do make html; \
	done

testloop:
	while true; \
	do make doctest |& less; \
	done

=== debian/changelog ===
skyfield (1.49+ds-3) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083774)

  [ Antonio Valentino ]
  * Standards version bumped to 4.7.0, no changes.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 12:32:13 +0100

skyfield (1.49+ds-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous build dependency on python3-mock (Closes: #1069861)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jul 2024 20:48:26 +0200

skyfield (1.49+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update exclude list.
  * debian/patches:
    - Refresh and renumber all patches.
  * debian/rules:
    - Update dh_auto_build rule for the new documentation location.
    - Drop the unnecessary override_dh_compress rule.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 16 Jun 2024 17:45:16 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
                fonts-dosis,
@@ -18,17 +17,15 @@
                python3-jplephem,
                python3-lxml,
                python3-matplotlib,
-               python3-mock <!nocheck>,
                python3-numpy,
                python3-pandas,
-               python3-pkg-resources,
                python3-pytest <!nocheck>,
                python3-sgp4,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sympy,
                python3-tz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/skyfield
 Vcs-Git: https://salsa.debian.org/debian-astro-team/skyfield.git
 Homepage: https://github.com/brandon-rhodes/python-skyfield
@@ -42,7 +39,6 @@
          python3-certifi,
          python3-jplephem,
          python3-numpy,
-         python3-pkg-resources,
          python3-sgp4,
          python3-tz
 Recommends: python3-astropy,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=skyfield
-export PYBUILD_AFTER_INSTALL=$(RM) -r {destdir}/{install_dir}/skyfield/documentation
-
 
 # Skip tests that make access to the internet
 export PYBUILD_TEST_ARGS=\
@@ -105,10 +103,7 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	env PYTHONPATH=. python3 -m sphinx -N -bhtml skyfield/documentation .pybuild/docs/html
+	env PYTHONPATH=. python3 -m sphinx -N -bhtml documentation .pybuild/docs/html
 else
         mkdir -p .pybuild/docs/html
 endif
-
-override_dh_compress:
-	dh_compress -X.ttf

## skyfield 1.51+ds

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 astropy==3.2.2
 beautifulsoup4==4.6.0
 html5lib==1.0.1
+jinja2==3.0.3
 lxml==4.9.1
 mock==2.0.0
 numpy==1.15.4

=== debian/changelog ===
skyfield (1.51+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - Refresh all patches.
  * debian/rules:
    - Skip tests requiring unavailable data:
      test_multiple_non_overlapping_segments_per_target.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 27 Feb 2025 07:41:05 +0000

## skyfield 1.52+ds

=== debian/changelog ===
skyfield (1.52+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 19 Mar 2025 06:37:56 +0000

## skyfield 1.53+ds

=== requirements.txt ===
astropy==5.1
beautifulsoup4==4.6.0
html5lib==1.0.1
jinja2==3.0.3
lxml==4.9.1
mock==2.0.0
numpy==1.18.5
matplotlib==3.3.0
pandas==1.3.5
pyflakes==2.1.1
pygments==2.17.2
python-dateutil>=2.5.0
pytz
sphinx==1.7.2
spktype21
https://github.com/brandon-rhodes/assay/archive/master.zip

=== documentation/Makefile ===
--- 
+++ 
@@ -182,6 +182,9 @@
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
+push: sync
+	,push
+
 sync: html
 	rm -rf _build/html/_sources
 	rm -f \
@@ -191,9 +194,6 @@
 		_build/html/_static/documentation_options.js \
 		_build/html/_static/jquery-3.2.1.js
 	rsync -r _build/html/ ~/rhodesmill.org/skyfield
-	,push
-
-
 
 # Runs web server outside _build, for when I need to "rm -r" clean-slate it:
 serve:

=== debian/changelog ===
skyfield (1.53+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Standards version bumped to 4.7.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Apr 2025 09:01:13 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                python3-sphinx <!nodoc>,
                python3-sympy,
                python3-tz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/skyfield
 Vcs-Git: https://salsa.debian.org/debian-astro-team/skyfield.git
 Homepage: https://github.com/brandon-rhodes/python-skyfield

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,8 @@
 and not test_gm_calculation \
 and not test_astrometric_position_does_not_allow_altaz \
 and not test_dataframe \
-and not test_observe_and_apparent_survive_an_empty_time_array" \
+and not test_observe_and_apparent_survive_an_empty_time_array \
+and not test_multiple_non_overlapping_segments_per_target" \
 --pyargs ${PYBUILD_NAME}
 
 %:

## skyfield 1.54+ds

=== debian/changelog ===
skyfield (1.54+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - Improve 0001-Use-pytest-instead-of-assay.patch.
  * Update dates in d/copyright.
  * debian/control:
    - Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Update salsa CI configuration.
  * debian/rules:
    - Update docs generation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Jan 2026 17:39:56 +0000

skyfield (1.53+ds-2) unstable; urgency=medium

  * Team Upload
  * Replace dependency on transitional python3-tz with new python3-pytz

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 00:50:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: skyfield
 Section: python
-Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
@@ -20,12 +18,12 @@
                python3-numpy,
                python3-pandas,
                python3-pytest <!nocheck>,
+               python3-pytz,
                python3-sgp4,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sympy,
-               python3-tz
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/skyfield
 Vcs-Git: https://salsa.debian.org/debian-astro-team/skyfield.git
 Homepage: https://github.com/brandon-rhodes/python-skyfield
@@ -39,8 +37,8 @@
          python3-certifi,
          python3-jplephem,
          python3-numpy,
+         python3-pytz,
          python3-sgp4,
-         python3-tz
 Recommends: python3-astropy,
             python3-ipython,
             python3-matplotlib,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=skyfield
export PYBUILD_TEST_ARGS=-m "not network and not bspdata" --pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=. python3 -m sphinx -N -bhtml documentation .pybuild/docs/html
else
        mkdir -p .pybuild/docs/html
endif
